import { ITsTypesCompilerOptions } from './ts-types-compiler';
import { IJtd, IJtdcDialect, IJtdcDialectOptions } from '@jtdc/types';
import { IValidatorCompilerOptions } from './validators-compiler';
export interface ITsModulesCompilerOptions<M, C> extends Omit<ITsTypesCompilerOptions<M>, 'resolveExternalRef'>, Omit<IValidatorCompilerOptions<M, C>, 'dialect'>, IJtdcDialectOptions<M> {
    /**
     * If `true` then validator functions are rendered along with types.
     */
    validatorsRendered?: boolean;
    /**
     * The callback that produces the validator compilation dialect.
     */
    dialectFactory?: (options?: IJtdcDialectOptions<M>) => IJtdcDialect<M, C>;
}
/**
 * Compiles map of JTD definitions to a map of corresponding sources.
 *
 * @param jtdModules The map from module URI to JTD definitions map.
 * @param options Compiler options.
 */
export declare function compileTsModules<M, C>(jtdModules: Record<string, Record<string, IJtd<M>>>, options?: ITsModulesCompilerOptions<M, C>): Record<string, string>;
