import { IJtdcDialect, JtdNode } from '@jtdc/types';
export interface IValidatorCompilerOptions<M, C> {
    /**
     * If set to `true` then type guards are rendered along with validators.
     *
     * @see {@link https://www.typescriptlang.org/docs/handbook/2/narrowing.html TypeScript Narrowing}
     */
    typeGuardsRendered?: boolean;
    /**
     * The validator compilation dialect that describes how validators and type guards are compiled.
     */
    dialect?: IJtdcDialect<M, C>;
}
/**
 * Compiles validators and type guards from the definitions.
 */
export declare function compileValidators<M, C>(definitions: Record<string, JtdNode<M>>, options?: IValidatorCompilerOptions<M, C>): string;
export declare const validatorCompilerOptions: Required<IValidatorCompilerOptions<any, any>>;
